## mapsembler2 2.2.3+dfsg

=== kissreads/Makefile ===
######################################################################################################
#  kissreads                                                                                         #
#  January 2012                                                                                      #
######################################################################################################
# Developper:                                                                                        #
#  Pierre PETERLONGO               pierre.peterlongo@inria.fr                                        #
######################################################################################################

# POSSIBILITIES:
# * make: compiled for generic usage. By default: kmer_spanning (a position is considered as covered if the kmer starting at this position is fully covered by a read)
# * make MYFLAGS=-DREAD2INV : output only motifs where au-vb is specific to one datasets and av'-u'b is specific to the other
# * make MYFLAGS=-DCLASSICAL_SPANNING : compiled without kmer (a position is considered as covered as soon as a read maps this position)
# * make MYFLAGS=-DINPUT_FROM_KISSPLICE : compiled for dealing with kissplice output and to count separately junctions and central portions
# Note that this is compatible: make CFLAGS="-DCLASSICAL_SPANNING -DINPUT_FROM_KISSPLICE" is possible


ALL		= kissreads
CC		=gcc

# optimized flags

#CFLAGS=-Wall -O3 -L/../thirdparty/zlib/build/ -lz
CFLAGS= -O3 -L../thirdparty/zlib/build/ -lz
CFLAGS+=$(MYFLAGS)

#LDFLAGS+=-Wall -lm -O3 -L../thirdparty/zlib/build/ -lz
LDFLAGS+= -lm -O3 -L../thirdparty/zlib/build/ -lz

## debug flags
#CFLAGS		+=-Wall -g -lz -fopenmp
#LDFLAGS	+=-Wall -lm -g -lz -fopenmp


#openmp is incompatiblre with clang 
ifeq ($(CC), gcc)
 CFLAGS += -fopenmp -DOMP
 LDFLAGS+= -fopenmp -DOMP
endif


SRCDIR		= ./src/
INCLDIR		= ./include/
IFLAGS		= -I$(INCLDIR)


SRC	= $(SRCDIR)coherent_algorithm.c $(SRCDIR)commons.c $(SRCDIR)couple.c $(SRCDIR)extension_algorithm.c $(SRCDIR)fragment_index.c $(SRCDIR)kissReads.c $(SRCDIR)list.c $(SRCDIR)outputs.c $(SRCDIR)interface_libchash.c $(SRCDIR)libchash.c $(SRCDIR)tree.c 
OBJ	= $(SRC:.c=.o)



all: $(ALL)
	@echo "#################"
	@echo "# Compilation OK#"
	@echo "#################"

kissreads: $(OBJ) 
	$(CC)  -o $@ $^ $(LDFLAGS)


kissReads.o: $(INCLDIR)coherence_algorithm.h  $(INCLDIR)couple.h $(INCLDIR)extension_algorithm.h $(INCLDIR)fragment_info.h  $(INCLDIR)libchash.h  $(INCLDIR)outputs.h $(INCLDIR)commons.h $(INCLDIR)extending_fragment.h $(INCLDIR)fragment_index.h $(INCLDIR)hash.h $(INCLDIR)list.h $(INCLDIR)tree.h

%.o: %.c
	$(CC)  -o $@ -c $< $(CFLAGS) $(IFLAGS)

.PHONY: clean mrproper

clean:
	rm -rf $(SRCDIR)*.o $(ALL)

mrproper: clean
	rm -rf $(ALL)

=== mapsembler2_extremities/thirdparty/gatb-core/CMakeLists.txt ===
project(gatb-core)

# We set the required version
cmake_minimum_required (VERSION 2.6)

################################################################################
# The version number.
################################################################################
SET (gatb-core_VERSION_MAJOR 1)
SET (gatb-core_VERSION_MINOR 0)
SET (gatb-core_VERSION_PATCH 5)

IF (DEFINED MAJOR)
    SET (gatb-core_VERSION_MAJOR ${MAJOR})
ENDIF()
IF (DEFINED MINOR)
    SET (gatb-core_VERSION_MINOR ${MINOR})
ENDIF()
IF (DEFINED PATCH)
    SET (gatb-core_VERSION_PATCH ${PATCH})
ENDIF()

set (gatb-core-version ${gatb-core_VERSION_MAJOR}.${gatb-core_VERSION_MINOR}.${gatb-core_VERSION_PATCH})
set (gatb-core-date "xxxx-xx-xx")

################################################################################
# Define cmake modules directory
################################################################################
set (CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")

################################################################################
# Include external cmake files
################################################################################
include (DefineInteger)
include (CppUnit)
include (GetDate)

# We check whether we have native 128 bits integers
DefineInteger (k)

# We get the current date
GetCurrentDate (gatb-core-date) 

################################################################################
# COMPILER DEFINITIONS
################################################################################
# We try to find the best compiler config, in particular for C++ extension usage
if (CMAKE_CXX_COMPILER_ID STREQUAL "GNU")

    IF(NOT CMAKE_CXX_COMPILER_VERSION) #for old cmakes
        include(CheckCompiler)
    ENDIF()
    if (CMAKE_CXX_COMPILER_VERSION  VERSION_LESS 4.5) 
        message ("-------------------------------------------------------------------------------------")
        message ("-- GCC VERSION IS NOT ENOUGH TO HAVE C++ EXTENSIONS... SOME EXAMPLES CAN'T COMPILE...")
        message ("-------------------------------------------------------------------------------------")
    else()
        set (use_new_cxx 1)
        message ("-------------------------------------------------------------------------------------")
        message ("-- C++ EXTENSIONS WILL BE USED...")
        message ("-------------------------------------------------------------------------------------")
    endif()

    if (CMAKE_CXX_COMPILER_VERSION  VERSION_LESS 4.7) 
        set (use_mphf 0)
    else()
        set (use_mphf 1)
    endif()

elseif (CMAKE_CXX_COMPILER_ID STREQUAL "Clang")

    if (CMAKE_CXX_COMPILER_VERSION  VERSION_LESS 3.2) 
        message ("-------------------------------------------------------------------------------------")
        message ("-- CLANG VERSION IS NOT ENOUGH TO HAVE C++ EXTENSIONS... SOME EXAMPLES CAN'T COMPILE...")
        message ("-------------------------------------------------------------------------------------")
    else()
        set (use_new_cxx 1)
        message ("-------------------------------------------------------------------------------------")
        message ("-- C++ EXTENSIONS WILL BE USED...")
        message ("-------------------------------------------------------------------------------------")
    endif()

    if (CMAKE_CXX_COMPILER_VERSION  VERSION_LESS 4.3) 
        set (use_mphf 0)
    else()
        set (use_mphf 1)
    endif()

else()
        message ("-------------------------------------------------------------------------------------")
        message ("-- WARNING !!! YOU USE AN UNKNOWN COMPILER...")
        message ("-------------------------------------------------------------------------------------")
endif()

################################################################################
# GENERAL DEFINITIONS
################################################################################
if (debug)
    #set (LIBRARY_COMPILE_DEFINITIONS  "${LIBRARY_COMPILE_DEFINITIONS} -g -p -pg")
    set (LIBRARY_COMPILE_DEFINITIONS  "${LIBRARY_COMPILE_DEFINITIONS} -g -p")
    message("-- COMPILATION IN DEBUG MODE")
else()
    set (LIBRARY_COMPILE_DEFINITIONS  "${LIBRARY_COMPILE_DEFINITIONS} -O3")
endif()

if (INT128_FOUND)
    set (LIBRARY_COMPILE_DEFINITIONS  "${LIBRARY_COMPILE_DEFINITIONS}  -DINT128_FOUND")
endif()

# We determine what kind of c++ standard we should use according to the compiler
# According to the CXX version, we have to activate some flags
if (use_new_cxx)
    # We set a flag for lambda expressions usage
    set (CXX_STD_VERSION "-std=c++0x")
    # We set a flag for lambda expressions
    set (WITH_LAMBDA_EXPRESSION "1")
    # We add compilation flags to the global flags
    set (LIBRARY_COMPILE_DEFINITIONS  "${LIBRARY_COMPILE_DEFINITIONS}  -DWITH_LAMBDA_EXPRESSION  ${CXX_STD_VERSION}")
 endif()

if (use_mphf)
    set (LIBRARY_COMPILE_DEFINITIONS  "${LIBRARY_COMPILE_DEFINITIONS}    -DWITH_MPHF ")
        message ("-------------------------------------------------------------------------------------")
        message ("-- WILL COMPILE MPHF! (COMPILER VERSION IS HIGH ENOUGH) ")
        message ("-------------------------------------------------------------------------------------")
endif()

# In case we use an "old" version of clang with boost and c++0x, we have to skip rvalue usage
if (CMAKE_CXX_COMPILER_ID STREQUAL "Clang")
	set (LIBRARY_COMPILE_DEFINITIONS  "${LIBRARY_COMPILE_DEFINITIONS} -DBOOST_NO_CXX11_RVALUE_REFERENCES=1")
endif()

# WARNING !!! For the moment, we need to remove some warnings (on Macos) due to use of offsetof macro on non Plain Old Data
set (LIBRARY_COMPILE_DEFINITIONS "${LIBRARY_COMPILE_DEFINITIONS} -Wno-invalid-offsetof") 

message("-- Options: ${LIBRARY_COMPILE_DEFINITIONS}")

################################################################################
#  DIRECTORIES MANAGEMENT 
################################################################################

set (LIBRARY_OUTPUT_PATH       ${PROJECT_BINARY_DIR}/lib/${CMAKE_BUILD_TYPE})
set (EXECUTABLE_OUTPUT_PATH    ${PROJECT_BINARY_DIR}/bin/${CMAKE_BUILD_TYPE})

################################################################################
#  EXPORT FOR THIRD PARTIES 
################################################################################

# We define the compilation flags used for compiling binary based on gatb core
set (gatb-core-flags ${LIBRARY_COMPILE_DEFINITIONS})

# We define the include directories used for linking binary based on gatb core
# Note that we need to add boost include dependency (not working otherwise with clang)
set (gatb-core-includes ${PROJECT_BINARY_DIR}/include  ${PROJECT_SOURCE_DIR}/src  ${PROJECT_SOURCE_DIR}/thirdparty)

# We define the libraries used for linking binary based on gatb core
set (gatb-core-libraries   gatbcore-static  dl  pthread  z hdf5)

# We define the directory where to find cmake helpers
set (gatb-core-cmake  ${CMAKE_MODULE_PATH})

# NOTE... we have to duplicate the variables for the other scopes (in particular for sub directories)
set (gatb-core-flags     ${gatb-core-flags}     PARENT_SCOPE)
set (gatb-core-includes  ${gatb-core-includes}  PARENT_SCOPE)
set (gatb-core-libraries ${gatb-core-libraries} PARENT_SCOPE)
set (gatb-core-cmake     ${gatb-core-cmake}     PARENT_SCOPE)

################################################################################
#  LIBRARY GENERATION 
################################################################################
ADD_SUBDIRECTORY(src)

################################################################################
#  UNIT TESTS GENERATION 
################################################################################
IF (DEFINED CPPUNIT_FOUND)
    IF (EXISTS "${PROJECT_SOURCE_DIR}/test")
        IF (NOT DEFINED GATB_CORE_EXCLUDE_TESTS)
            ADD_SUBDIRECTORY (test)
        ENDIF()
    ENDIF()
ENDIF()

################################################################################
#  TOOLS GENERATION 
################################################################################
IF (NOT DEFINED GATB_CORE_EXCLUDE_TOOLS)
    ADD_SUBDIRECTORY(tools)
ENDIF()

################################################################################
#  THIRD PARTY GENERATION (
################################################################################
ADD_SUBDIRECTORY(thirdparty)

################################################################################
#  DEPENDENCIES 
################################################################################
# we must be sure that hdf5 is built and installed before building gatb-core
ADD_DEPENDENCIES (gatbcore-static hdf5 hdf5_postbuild)

IF (DEFINED WITH_MPHF)
    ADD_DEPENDENCIES(gatbcore-static emphf_copyasis)
ENDIF()


################################################################################
#  DOCUMENTATION GENERATION 
################################################################################
IF (EXISTS "${PROJECT_SOURCE_DIR}/doc")
    ADD_SUBDIRECTORY(doc EXCLUDE_FROM_ALL)
ENDIF()

################################################################################
#  EXAMPLES GENERATION 
################################################################################
IF (EXISTS "${PROJECT_SOURCE_DIR}/examples")
    IF (NOT DEFINED GATB_CORE_EXCLUDE_EXAMPLES)
        ADD_SUBDIRECTORY(examples EXCLUDE_FROM_ALL)
    ENDIF()
ENDIF()

################################################################################
#  INSTALL 
################################################################################

IF (NOT DEFINED GATB_CORE_INSTALL_EXCLUDE)
    INSTALL (FILES ${PROJECT_SOURCE_DIR}/doc/misc/README.txt  DESTINATION . OPTIONAL)
ENDIF()

IF (NOT DEFINED GATB_CORE_EXCLUDE_EXAMPLES)
    INSTALL (DIRECTORY ${PROJECT_SOURCE_DIR}/examples DESTINATION . OPTIONAL  FILES_MATCHING PATTERN "*.cpp")
ENDIF()

################################################################################
#  DELIVERY 
################################################################################
SET (CPACK_PACKAGE_DESCRIPTION_SUMMARY  "gatb-core project")
SET (CPACK_PACKAGE_VENDOR               "Genscale team (INRIA)")
SET (CPACK_PACKAGE_VERSION_MAJOR        "${gatb-core_VERSION_MAJOR}")
SET (CPACK_PACKAGE_VERSION_MINOR        "${gatb-core_VERSION_MINOR}")
SET (CPACK_PACKAGE_VERSION_PATCH        "${gatb-core_VERSION_PATCH}")
SET (CPACK_PACKAGE_VERSION              "${gatb-core-version}")  
SET (CPACK_GENERATOR                    "TGZ")
SET (CPACK_SOURCE_GENERATOR             "TGZ")
SET (CPACK_SOURCE_IGNORE_FILES          
    "^${PROJECT_SOURCE_DIR}/build/"  
    "^${PROJECT_SOURCE_DIR}/.project"
    "^${PROJECT_SOURCE_DIR}/.gitignore"
    "^${PROJECT_SOURCE_DIR}/doc/design"
    "^${PROJECT_SOURCE_DIR}/DELIVERY.md"
)

IF (NOT DEFINED GATB_CORE_INSTALL_EXCLUDE)
    # We include the module and get all the delivery targets
    include (Delivery)
ENDIF ()

=== mapsembler2_extremities/thirdparty/gatb-core/examples/CMakeLists.txt ===
################################################################################
message ("--  ---------- GATB EXAMPLES ----------")
################################################################################

################################################################################
#  EXAMPLES 
################################################################################

# We add the compilation options for the library
add_definitions (${gatb-core-flags})

include_directories (${gatb-core-includes})

file (GLOB_RECURSE  PROGRAMS_FILES  *.cpp)

file (GLOB_RECURSE  PROGRAMS_FILES_EXTRA  
    bank13.cpp 
    debruijn7.cpp debruijn18.cpp debruijn19.cpp debruijn20.cpp debruijn21.cpp debruijn22.cpp debruijn23.cpp
    kmer5.cpp
    storage4.cpp 
    multithreading2.cpp  multithreading4.cpp  multithreading5.cpp  multithreading6.cpp
    ToyTool.cpp  
)

# Some examples may require lambda expressions. If this option is not activated, we
# don't compile such examples.
if (NOT WITH_LAMBDA_EXPRESSION)
    message ("-- WARNING !!! Some examples won't be compiled (use of lambda expressions)")
    LIST (REMOVE_ITEM PROGRAMS_FILES ${PROGRAMS_FILES_EXTRA})
endif()

FOREACH (program ${PROGRAMS_FILES})

    # we get the base name of the current example
    get_filename_component(basename ${program} NAME_WE)
   
    # we add an executable for this example
    add_executable (${basename} ${program})
  
    # we use the gatb core libraries for the link
    target_link_libraries (${basename} ${gatb-core-libraries})

    list (APPEND PROGRAMS_NAMES ${basename})
      
ENDFOREACH (program)

# We add a custom target for making all examples
add_custom_target (examples ALL DEPENDS ${PROGRAMS_NAMES})

=== mapsembler2_extremities/thirdparty/gatb-core/tools/CMakeLists.txt ===
################################################################################
message ("--  ---------- GATB TOOLS ----------")
################################################################################

################################################################################
#  TOOLS
################################################################################

# We add the compilation options for the library
add_definitions (${gatb-core-flags})

include_directories (${gatb-core-includes})

list (APPEND PROGRAMS dbgh5 dbginfo)

FOREACH (program ${PROGRAMS})
  add_executable(${program} ${program}.cpp)
  target_link_libraries(${program} ${gatb-core-libraries})
ENDFOREACH (program)

################################################################################
#  INSTALLATION 
################################################################################
install (TARGETS dbgh5 dbginfo DESTINATION bin)

=== mapsembler2_extremities/thirdparty/gatb-core/scripts/NewProject/CMakeLists.txt ===

################################################################################
# TOOL
################################################################################

# we get compilation definitions from the gatb-core part
add_definitions (${gatb-core-flags})

# we give the headers directories from : 
#       - from project source 
#       - from GATB-CORE source
#       - from dsk source 
include_directories (src  ${gatb-core-includes})

# we define the files to be compiled
file (GLOB_RECURSE  ProjectFiles  src/*)

# we define the artifact to be built: the project binary
add_executable        (${CMAKE_PROJECT_NAME}  ${ProjectFiles})

# we define which libraries to be linked with project binary
target_link_libraries (${CMAKE_PROJECT_NAME}  ${gatb-core-libraries})

=== mapsembler2_extremities/thirdparty/gatb-core/test/unit/CMakeLists.txt ===
################################################################################
#  CPPUNIT 
################################################################################

# We add the compilation options for the library
add_definitions (${gatb-core-flags})

file (GLOB_RECURSE  GatbCoreTestFiles  src/*)

include_directories (${gatb-core-includes}  ${gatb-core_SOURCE_DIR}/test/unit/src  ${CPPUNIT_INCLUDE_DIR})

add_executable        (gatb-core-cppunit    ${GatbCoreTestFiles})
target_link_libraries (gatb-core-cppunit    ${gatb-core-libraries} ${CPPUNIT_LIBRARY_STATIC})

#################################################
#  LAUNCH 
#################################################

# We add an optional target for launching unit tests
add_custom_target (test gatb-core-cppunit  "All Tests"  ${gatb-core_SOURCE_DIR}/test/db  unittests.xml)

#################################################
#  INSTALL 
#################################################
install (TARGETS gatb-core-cppunit   DESTINATION test)
install (DIRECTORY ${gatb-core_SOURCE_DIR}/test/db DESTINATION test/)

## mapsembler2 2.0.5+dfsg

=== debian/changelog ===
mapsembler2 (2.0.5+dfsg-2) unstable; urgency=low

  * d/control: Add missing build dep

 -- Olivier Sallou <osallou@debian.org>  Thu, 06 Feb 2014 08:06:55 +0100

mapsembler2 (2.0.5+dfsg-1) unstable; urgency=medium

  * First debian package (Closes: #737099).

 -- Olivier Sallou <osallou@debian.org>  Sat, 01 Feb 2014 16:55:29 +0100

=== debian/control ===
Source: mapsembler2
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Olivier Sallou <osallou@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
 bc, zlib1g-dev, help2man
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/mapsembler2/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/mapsembler2/trunk/
Homepage: http://colibread.inria.fr/mapsembler2/

Package: mapsembler2
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
         zlib1g, bc
Description: bioinformatics targeted assembly software
 Mapsembler2 is a targeted assembly software.
 It takes as input a set of NGS raw reads (fasta or fastq, gzipped or not)
 and a set of input sequences (starters).
 .
 It first determines if each starter is read-coherent, e.g. whether reads
 confirm the presence of each starter in the original sequence.
 Then for each read-coherent starter, Mapsembler2 outputs its sequence
 neighborhood as a linear sequence or as a graph, depending on the user choice.
 .
 Mapsembler2 may be used for (not limited to):
  - Validate an assembled sequence (input as starter), e.g. from a de
    Bruijn graph assembly where read-coherence was not enforced.
  - Checks if a gene (input as starter) has an homolog in a set of reads
  - Checks if a known enzyme is present in a metagenomic NGS read set.
  - Enrich unmappable reads by extending them, possibly making them mappable
  - Checks what happens at the extremities of a contig
  - Remove contaminants or symbiont reads from a read set

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

SRC_VERSION =$(shell dpkg-parsechangelog | sed -ne 's/^Version: \(\([0-9]\+\):\)\?\(.*\)-.*/\3/p')

%:
	dh $@

get-orig-source:
	uscan --verbose --force-download --repack --repack-compression xz

override_dh_auto_build:
	dh_auto_build
	cd maps && make k=29
	cd kissreads_g && make k=29


override_dh_clean:
	cd minia && make clean
	cd kissreads_g && make clean
	cd maps && make clean
	rm -f maps/mapsembler
	rm -f kissreads_g/kissreads_graph
	rm -f run_mapsembler_and_phaser
	rm -f run_mapsembler_and_phaser.1
	rm -f mapsembler.1
	rm -f kissreads_graph.1
	dh_clean

override_dh_install:
	cp run_mapsembler_and_phaser.sh run_mapsembler_and_phaser
	help2man --help-option=-h --version-string=$(SRC_VERSION) ./run_mapsembler_and_phaser > run_mapsembler_and_phaser.1
	help2man --help-option=-h --no-discard-stderr --version-string=$(SRC_VERSION) ./maps/mapsembler > mapsembler.1
	help2man --help-option=-h --no-discard-stderr --version-string=$(SRC_VERSION) ./kissreads_g/kissreads_graph > kissreads_graph.1
	dh_install

=== debian/watch ===
version=3

opts="dversionmangle=s/\+dfsg//g" http://colibread.inria.fr/mapsembler2/ https://colibread.inria.fr/files/\d+/\d+/mapsembler2_(2\.[.\d]+)\.zip

## mapsembler2 2.1.6+dfsg

=== debian/changelog ===
mapsembler2 (2.1.6+dfsg-1) unstable; urgency=medium

  * New upstream release

 -- Olivier Sallou <osallou@debian.org>  Thu, 29 May 2014 15:07:28 +0200

mapsembler2 (2.1.2+dfsg-1) unstable; urgency=low

  * New upstream release

 -- Olivier Sallou <osallou@debian.org>  Fri, 21 Feb 2014 15:42:22 +0100

mapsembler2 (2.0.31-1) unstable; urgency=low

  * New upstream release 

 -- Olivier Sallou <osallou@debian.org>  Fri, 21 Feb 2014 15:13:29 +0100

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

SRC_VERSION =$(shell dpkg-parsechangelog | sed -ne 's/^Version: \(\([0-9]\+\):\)\?\(.*\)-.*/\3/p')

%:
	dh $@

get-orig-source:
	uscan --verbose --force-download

override_dh_auto_build:
	dh_auto_build
	cd maps && make


override_dh_clean:
	cd maps && make clean
	rm -f maps/mapsembler
	rm -f mapsembler.1
	dh_clean

override_dh_install:
	help2man --help-option=-h --no-discard-stderr --version-string=$(SRC_VERSION) ./maps/mapsembler > mapsembler.1
	dh_install

## mapsembler2 2.2.3+dfsg

=== debian/changelog ===
mapsembler2 (2.2.3+dfsg-2) unstable; urgency=medium

  * Some DEP5 fixes
  * Fix clean target
    Closes: #766791
  * cme fix dpkg-control
  * [O. Sallou] d/control: limit target archs, upstream code uses some code
    not valid on other archs, could not find an appropriate patch for this
    (lower #765285 to normal).

 -- Andreas Tille <tille@debian.org>  Sun, 26 Oct 2014 17:42:21 +0100

mapsembler2 (2.2.3+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Fix some compilation issues 
  * Fix FTBS on non x86 (Closes: #765285).

 -- Olivier Sallou <osallou@debian.org>  Fri, 19 Sep 2014 13:41:47 +0200

mapsembler2 (2.2.1+dfsg-3) unstable; urgency=medium

  [Gilles Filippini <pini@debian.org> ]
  * Support hdf5 1.8.13 new packaging layout (Closes: #758730).
  * Fix FTBFS due to broken help2man call in debian/rules.

 -- Olivier Sallou <osallou@debian.org>  Wed, 20 Aug 2014 12:21:26 +0200

mapsembler2 (2.2.1+dfsg-2) unstable; urgency=medium

  * Fix kissreads file conflict with discoSnp (Closes: #758648).

 -- Olivier Sallou <osallou@debian.org>  Tue, 19 Aug 2014 08:53:07 +0200

mapsembler2 (2.2.1+dfsg-1) unstable; urgency=medium

  * New upstream release
    Change of license to AGPL-3

 -- Olivier Sallou <osallou@debian.org>  Thu, 29 May 2014 15:07:28 +0200

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,28 @@
 Source: mapsembler2
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Olivier Sallou <osallou@debian.org>
+Uploaders: Olivier Sallou <osallou@debian.org>,
+           Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
 Build-Depends: debhelper (>= 9),
- bc, zlib1g-dev, help2man
-Standards-Version: 3.9.5
+               cmake,
+               bc,
+               zlib1g-dev,
+               help2man,
+               libhdf5-dev,
+               libcppunit-dev,
+               libboost-dev
+Standards-Version: 3.9.6
 Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/mapsembler2/trunk/
 Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/mapsembler2/trunk/
 Homepage: http://colibread.inria.fr/mapsembler2/
 
 Package: mapsembler2
-Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends},
-         zlib1g, bc
+Architecture: amd64 arm64 armel armhf hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386 ppc64el s390x
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+         zlib1g,
+         bc
 Description: bioinformatics targeted assembly software
  Mapsembler2 is a targeted assembly software.
  It takes as input a set of NGS raw reads (fasta or fastq, gzipped or not)

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

SRC_VERSION =$(shell dpkg-parsechangelog | sed -ne 's/^Version: \(\([0-9]\+\):\)\?\(.*\)-.*/\3/p')

ifneq ($(wildcard /usr/include/hdf5/serial),)
  export DEB_CPPFLAGS_MAINT_APPEND := -I/usr/include/hdf5/serial
  export DEB_LDFLAGS_MAINT_APPEND := -Wl,-L/usr/lib/$(DEB_HOST_MULTIARCH)/hdf5/serial
endif

CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS) $(CPPFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS) $(CPPFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

%:
	dh $@

get-orig-source:
	uscan --verbose --force-download

override_dh_auto_build:
	mkdir mapsembler2_extremities/build
	cd mapsembler2_extremities/build && cmake .. && make
	cd mapsembler2_extend && make k=29
	cd kissreads_graph && make k=29
	cd kissreads && make k=29


override_dh_clean:
	rm -rf mapsembler2_extremities/build
	cd mapsembler2_extend && make clean
	rm -f mapsembler2_extend/mapsembler_extend
	cd kissreads_graph && make clean
	rm -f kissreads_graph/mapsembler2_kissreads_graph
	cd kissreads && make clean
	rm -f kissreads/mapsembler2_kissreads

	rm -f mapsembler2_extremities.1
	rm -f mapsembler_extend.1
	rm -f kissreads.1
	rm -f kissreads_graph.1
	dh_clean

override_dh_install:
	help2man --help-option=-h --no-discard-stderr --version-string=$(SRC_VERSION) ./mapsembler2_extremities/build/mapsembler2_extremities > mapsembler2_extremities.1
	help2man --help-option=-h --no-discard-stderr --version-string=$(SRC_VERSION) ./mapsembler2_extend/mapsembler_extend > mapsembler_extend.1
	mv ./kissreads/kissreads ./kissreads/mapsembler2_kissreads
	help2man --help-option=-h --no-discard-stderr --version-string=$(SRC_VERSION) ./kissreads/mapsembler2_kissreads > mapsembler2_kissreads.1
	mv ./kissreads_graph/kissreads_graph ./kissreads_graph/mapsembler2_kissreads_graph
	help2man --help-option=-h --no-discard-stderr --version-string=$(SRC_VERSION) ./kissreads_graph/mapsembler2_kissreads_graph > mapsembler2_kissreads_graph.1
	cp run_mapsembler2_pipeline.sh run_mapsembler2_pipeline
	help2man --help-option=-h --no-discard-stderr --version-string=$(SRC_VERSION) ./run_mapsembler2_pipeline > run_mapsembler2_pipeline.1
	dh_install

## mapsembler2 2.2.4%2Bdfsg

=== mapsembler2_extremities/thirdparty/gatb-core/scripts/NewProject/CMakeLists.txt ===
project(XXX)

cmake_minimum_required(VERSION 2.6)

################################################################################
# Shortcuts
################################################################################
SET (GATB_CORE_HOME  ${PROJECT_SOURCE_DIR}/thirdparty/gatb-core)

################################################################################
# Define cmake modules directory
################################################################################
SET (CMAKE_MODULE_PATH ${GATB_CORE_HOME}/cmake)

################################################################################
# THIRD PARTIES
################################################################################

# We don't want to install some GATB-CORE artifacts
SET (GATB_CORE_EXCLUDE_TOOLS     1)
SET (GATB_CORE_EXCLUDE_TESTS     1)
SET (GATB_CORE_EXCLUDE_EXAMPLES  1)

# GATB CORE
include (GatbCore)

################################################################################
# TOOLS
################################################################################

ADD_SUBDIRECTORY(tools)

################################################################################
# DELIVERY
################################################################################

# If your current login name is different from your GForge login name, you have
# to overwrite the CPACK_USER_NAME to be the same as your GForge login
#SET (CPACK_USER_NAME                    "your_gforge_login")

# We set the version number
SET (CPACK_PACKAGE_VERSION              "1.0.0")  

# We have to tell what is the server name
SET (CPACK_GFORGE_PROJECT_NAME          "gatb-tools")

# We set the kind of archive
SET (CPACK_GENERATOR                    "TGZ")
SET (CPACK_SOURCE_GENERATOR             "TGZ")

# We ignore unwated files for the source archive
SET (CPACK_SOURCE_IGNORE_FILES          
    "^${PROJECT_SOURCE_DIR}/build/"  
    "^${GATB_CORE_HOME}/.project"
    "^${GATB_CORE_HOME}/.gitignore"
    "^${GATB_CORE_HOME}/doc/design"
    "^${GATB_CORE_HOME}/DELIVERY.md"
)

include (Delivery)

## mapsembler2 2.2.4%2Bdfsg1

=== mapsembler2_extremities/thirdparty/gatb-core/thirdparty/CMakeLists.txt ===
################################################################################
#  HDF5 GENERATION 
################################################################################

SET (HDF5_ENABLE_THREADSAFE       ON)

##########  MOMENTARY DEACTIVATED => CRASH ON MACOS TO BE INVESTIGATED  ##########
SET (HDF5_BUILD_TOOLS             ON CACHE BOOL "Build HDF5 Tools")
#SET (CMAKE_EXE_LINKER_FLAGS       "-lpthread -lz")

SET (HDF5_EXTERNALLY_CONFIGURED     ON)

#SET (HDF5_INSTALL_BIN_DIR           ${PROJECT_BINARY_DIR}/bin/${CMAKE_BUILD_TYPE})
#SET (HDF5_INSTALL_LIB_DIR           ${PROJECT_BINARY_DIR}/lib/${CMAKE_BUILD_TYPE})
SET (HDF5_INSTALL_BIN_DIR           bin)
SET (HDF5_INSTALL_LIB_DIR           lib)

SET (HDF5_INSTALL_INCLUDE_DIR       ${PROJECT_BINARY_DIR}/include/${CMAKE_BUILD_TYPE}/hdf5)
SET (HDF5_INSTALL_DATA_DIR          ${PROJECT_BINARY_DIR}/share/${CMAKE_BUILD_TYPE})
SET (HDF5_INSTALL_CMAKE_DIR         ${PROJECT_BINARY_DIR}/share/${CMAKE_BUILD_TYPE})

IF (NOT DEFINED GATB_CORE_INSTALL_EXCLUDE)
    SET (HDF5_EXPORTED_TARGETS          "gatb-hdf5")
ENDIF()

# We don't want warnings from HDF5 compilation
set (COMPILE_DEFINITIONS  "${COMPILE_DEFINITIONS}  -w")
add_definitions (${COMPILE_DEFINITIONS})

# add HDF5 generation
ADD_SUBDIRECTORY (hdf5)

# We add a custom target for copying header files.
add_custom_target (hdf5_postbuild ALL)

# We build the output directory
add_custom_command (TARGET hdf5_postbuild POST_BUILD  COMMAND ${CMAKE_COMMAND} -E make_directory ${HDF5_INSTALL_INCLUDE_DIR})

# We define all the header files to be copied
file (GLOB headerfiles ${PROJECT_SOURCE_DIR}/thirdparty/hdf5/src/*.h ${PROJECT_BINARY_DIR}/thirdparty/hdf5/H5pubconf.h)

# We copy each header file
foreach (header ${headerfiles})
  add_custom_command (TARGET hdf5_postbuild POST_BUILD  COMMAND ${CMAKE_COMMAND} -E copy_if_different ${header} ${HDF5_INSTALL_INCLUDE_DIR}  )
endforeach()

################################################################################
#  EMPHF GENERATION 
################################################################################

# TODO: I actually just mimicked hdf5, but I'm not so sure anymore whether
# this is useful. MPHF is just #include'd, perhaps we can just not copy it? in
# that case just delete this code

IF (DEFINED use_mphf)

    ADD_SUBDIRECTORY (emphf)

    # We add a custom target for copying emphf as it is.
    add_custom_target (emphf_copyasis ALL)

    SET (EMPHF_INSTALL_INCLUDE_DIR
        ${PROJECT_BINARY_DIR}/include/${CMAKE_BUILD_TYPE}/emphf)

    # We define all the header files to be copied
    file (GLOB headerfiles ${PROJECT_SOURCE_DIR}/thirdparty/emphf/*.hpp
        ${PROJECT_SOURCE_DIR}/thirdparty/emphf/*.cpp)

    # create emphf directory
    add_custom_command (TARGET emphf_copyasis COMMAND ${CMAKE_COMMAND} -E
        make_directory ${EMPHF_INSTALL_INCLUDE_DIR})

    # We copy each header file
    foreach (header ${headerfiles})
      add_custom_command (TARGET emphf_copyasis 
          COMMAND ${CMAKE_COMMAND} -E copy_if_different ${header} ${EMPHF_INSTALL_INCLUDE_DIR}  
        )
    endforeach()
ENDIF() # WITH_MPHF

################################################################################
#  INSTALL 
################################################################################
IF (NOT DEFINED GATB_CORE_INSTALL_EXCLUDE)
    INSTALL (DIRECTORY ${PROJECT_BINARY_DIR}/include/${CMAKE_BUILD_TYPE}/hdf5 DESTINATION include)
    IF (DEFINED WITH_MPHF)
        INSTALL (DIRECTORY ${PROJECT_BINARY_DIR}/include/${CMAKE_BUILD_TYPE}/emphf DESTINATION include)
    ENDIF()
ENDIF ()

=== mapsembler2_extremities/thirdparty/gatb-core/thirdparty/emphf/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)
project(EMPHF)

if(NOT CMAKE_BUILD_TYPE)
  set(CMAKE_BUILD_TYPE "Release")
endif()

configure_file(
  ${EMPHF_SOURCE_DIR}/emphf_config.hpp.in
  ${EMPHF_SOURCE_DIR}/emphf_config.hpp)

option(EMPHF_USE_POPCOUNT
  "Use hardware popcount in hash computation (requires SSE4.2)"
  OFF)

if ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang")
   set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -stdlib=libc++")
endif ()

if (UNIX)
   # C++11
   set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")

   # Extensive warnings
   set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra -Wno-missing-braces")

   if (EMPHF_USE_POPCOUNT)
     set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -msse4.2")
   endif ()
else ()
  message (FATAL_ERROR "Unsupported platform")
endif ()

OPTION (BUILD_EXECS "Build EMPHF Executabless" OFF)

IF (BUILD_EXECS)

# Sequential version
add_executable(compute_mphf_seq compute_mphf_seq.cpp)

# Sort-and-scan version (internal memory and mmap)
add_executable(compute_mphf_scan compute_mphf_scan.cpp)
add_executable(compute_mphf_scan_mmap compute_mphf_scan_mmap.cpp)

# HEM
add_executable(compute_mphf_hem compute_mphf_hem.cpp)

# Utilities
add_executable(test_mphf test_mphf.cpp)
add_executable(test_mphf_hem test_mphf_hem.cpp)
add_executable(gen_synthetic_data gen_synthetic_data.cpp)

ENDIF (BUILD_EXECS)

=== debian/tests/control ===
Tests: run-unit-test
Depends: @
Restrictions: allow-stderr
Architecture: amd64 arm64 kfreebsd-amd64 ppc64el s390x
